#include <iostream>
using namespace std;

int main()
{
    string a, b, c;
    cin>> a>> b>> c;
    string broj1, broj2, broj3, broj4, broj5, broj6;
    
    broj1 = a + b + c;
    broj2 = a + c + b;
    broj3 = b + a + c;
    broj4 = b + c + a;
    broj5 = c + a + b; 
    broj6 = c + b + a;
    
   int prvi, drugi, treci, cetvrti, peti, sesti;
   if ( ! (istringstream(broj1) >> prvi) ) prvi = 0;
   if ( ! (istringstream(broj2) >> drugi) ) drugi = 0;
   if ( ! (istringstream(broj3) >> treci) ) treci = 0;
   if ( ! (istringstream(broj4) >> cetvrti) ) cetvrti = 0;
   if ( ! (istringstream(broj5) >> peti) ) peti = 0;
   if ( ! (istringstream(broj6) >> sesti) ) sesti = 0;
   
   int max = 0;
   if(max<prvi)
   {
       max = prvi;
   }
   if(max<drugi)
   {
       max = drugi;
   }
   if(max<treci)
   {
       max = treci;
   }
   if(max<cetvrti)
   {
       max = cetvrti;
   }
   if(max<peti)
   {
       max = peti;
   }
   if(max<sesti)
   {
       max = sesti;
   }
   
   cout<< max;
}